Bug 12484 - winbindd processes getpwuid and getgrgid without idmap cache lookup
winbindd processes getpwuid and getgrgid without idmap cache lookup
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.5.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-25 12:14 UTC by Uri Simchoni
Modified: 2017-01-09 08:02 UTC (History)
3 users (show)

See Also:


Attachments
fix for 4.5.next (5.13 KB, patch)
2016-12-28 06:12 UTC, Uri Simchoni
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-12-25 12:14:50 UTC
The first step in serving either getpwuid or getgrgid is to convert the unix id to an SID. This conversion is done without consulting the idmap cache, and may result an extra query to the domain (depending to id-mapping backend).
Comment 1 Uri Simchoni 2016-12-28 06:12:42 UTC
Created attachment 12778 [details]
fix for 4.5.next
Comment 2 Uri Simchoni 2016-12-28 18:15:33 UTC
Assigning to Karolin for inclusion in 4.5.next
Comment 3 Karolin Seeger 2017-01-02 09:30:40 UTC
(In reply to Uri Simchoni from comment #2)
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2017-01-09 08:02:12 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!